Page MenuHomeFreeBSD

Mk/Uses/emacs.mk: Do not use Emacs major version in package names
ClosedPublic

Authored by jrm on Oct 23 2021, 3:25 PM.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm requested review of this revision.Oct 23 2021, 3:25 PM

Following ports don't use EMACS_PKGNAMESUFFIX in their Makefiles, So PORTREVISION need not to be bumped with them.

  • databases/gnats4
  • devel/gettext-po-mode
  • devel/xcscope.el
  • japanese/mozc-server
  • mail/anubis
  • mail/mailutils
  • net/gnu-radius
  • print/a2ps
  • sysutils/lr

And PORTREVISON of japanese/mozc-el needs to be bumped.

  • Fix PORTREVISON bumps based on yasu's investigation

Thanks for catching those.

I'm running all the bumped ports through poudriere bulk -C -t -j 13amd64 -f ~/emacs_bumps.txt, where emacs_bumps.txt has cat/port@all.

http://pkg.ftfl.ca/build.html?mastername=13amd64-default&build=2021-10-25_23h41m32s

I'll do 12i386 next.

  • mail/notmuch-emacs: Prevent a package name collision

With the new package names, the mail/notmuch-emacs@full package was named notmuch. This name conflicts with the package name for mail/notmuch. Fix this by manually adding -emacs to the mail/notmuch@full package name.

  • net/tramp: Mark BROKEN and set EXPIRATION_DATE

After ports-mgmt/pkg was fixed in 7f73a93ef2a0fdab0431357e772c583b9652d781, the poudriere run for these changes finished without problems. Please review and approve if there are no objections.

tcberner added inline comments.
UPDATING
133 ↗(On Diff #98137)

^ I think it would not hurt to explicitly reiterate how to handle the change, instead of only referring to the old entry.

UPDATING: Reiterate how to handle the emacs package name changes

jrm marked an inline comment as done.

UPDATING: Set me as the author for the entry. I should deal with any fallout.

yasu@ Are you all right with the current state of these changes? Could you either approve or suggest changes?

When we are ready, how do you want to handle the commit? Do yo want to commit or should I? If I do it, I'll commit with you as the author for the changes to Mk/Uses/emacs.mk.

If the timing works, ashish@ suggested that we wait until the 2021-11-15 to commit because that is when we do our regular editors/emacs-devel update.

Joe

@jrm I'm OK with current revision. And I don't mind who commit it. So please commit it after the regular update of editors/emacs-devel.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 15 2021, 3:21 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.